@import url('https://fonts.googleapis.com/css2?family=Comic+Neue:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap');

*{ 
  margin:0;
  padding:0;
  box-sizing: border-box;
}
a{
  text-decoration: none;
  color: inherit;
}
:root{
  --color_blue:#317AC1;
  --color_white: #fff;
  --color_gold: #df9d0f;
  --color_font: #384454; 
  --color_back: #D4D3DC;
}
body{
  background: var(--color_back);
  font-family: 'Comic Neue', cursive;
}
/* Barre de recherche */
.search{
  background: rgba(255,255,255,0.5);
  height: 0px;
  border-bottom: 1px solid rgba(0,0,0,0.2);
  position: relative;
  z-index: 15000;
  transition: height 0.5s;
  overflow: hidden;
}
.search.show{
  height: 60px;
}
.search input{
  height: 100%;
  width: 100%;
  border:none;
  padding: 0 20px;
  background: transparent;
  font-size: 16px;
  color:var(--color_font);
}
.search input:focus{
  outline: none;
}
/*contenu du site*/
.site-container{
  position: relative;
  z-index: 10;
  overflow-x: hidden;
}
.round01{
  height: 500px; width: 500px;
  background: #317AC1;
  border-radius: 100%;
  opacity: 0.2;
  position: absolute;
  top:-150px; right:-150px;
  z-index: -100;
}
/* Barre supérieur */
.topbar{
  display: flex;
  justify-content: space-between;
  padding: 0 20px;
  height: 60px;
  line-height: 60px;
}
.topbar h1{
  color:var(--color_blue);
  position: relative;
}
.topbar h1 .desc{
  position: absolute;
  font-size: 12px;
  left:2px;
  bottom:-20px;
  text-transform: uppercase;
  letter-spacing: 2px;
  color:var(--color_gold);
}
.topbar .nav{
  font-size: 18px;
  margin-top: 15px;
}
.topbar .nav a{
  padding: 0 5px;
  color:var(--color_font);
}
.topbar .nav a:hover{
  color:var(--color_blue);
}
.topbar .nav a.fb{
  background:var(--color_blue);
  text-transform: uppercase;
  font-weight: 900;
  color: #fff;
  height: 20px;
  padding-top: 2px;
  border-radius: 3px;
}
.topbar .search-icon{
  padding: 2px;
  color:var(--color_font);
}
.topbar .search-icon:hover{
  cursor: pointer;
  color:var(--color_blue);
}
/* Image d'acceuil */
.header{
  padding: 0 20px;
  position: relative;
  text-align: center;
}
.header img{
  width: 100%;
  height: 300px;
  border: 1px solid #3179c133;
  object-fit: cover;
  border-radius: 5px;
}
/* Menu secondaire */
.links{
  padding: 10px 20px;
  text-align: center;
}
.links a{
  display: inline-block;
  padding: 0 5px;
  opacity: 0.8;
}
.links a:hover{
  color:var(--color_blue);
  opacity: 1;
}
/* Listes des massages */
.box-container{
  display: flex;
  flex-wrap: wrap;
  padding: 0 15px;
}
.box-content{
  padding: 5px;
  width: calc(100%/5);
}
.box{
  position: relative;
  background: var(--color_white);
  border: 1px solid #3179c133;
  border-radius: 5px;
}
.box img{
  width: 100%;
  height: 300px;
  object-fit: cover;
  border-radius: 5px 5px 0 0;
}
.box .time{
  position: absolute;
  left:-3px;
  top:-3px;
  background: var(--color_blue);
  padding: 7px 10px;
  color:var(--color_font);
  border-radius: 5px 0 5px 0;
  color:var(--color_white);
  font-size: 16px;
  border:3px solid var(--color_back);
}
.box .title{
  color:var(--color_blue);
  font-size: 18px;
}
.box .description{
  margin-top: -5px;
  padding: 5px;
  border-radius: 0 0 5px 5px;
}
.box .description p{
  text-align: justify;
  font-size: 14px;
}
.box .icon{
  background: #3179c14b;
  position: absolute;
  top:0;
  height: 300px;
  width: 100%;
  line-height: 300px;
  text-align: center;
  font-size: 100px;
  color:var(--color_white);
  cursor: pointer;
  opacity: 0;
}
.box:hover{
  cursor:pointer;
}
.box:hover > .icon{
  display: block;
  opacity: 1;
  transition: all 0.4s ease-in-out;
}
.modal img{
  width: 100%;
  height: 150px;
  object-fit: cover;
  object-position: center;
  border-radius: 3px;
}
.modal h1{
  color:var(--color_blue);
}
.modal button{
  background: var(--color_blue);
  height: 30px;
  color:#fff;
  margin-top: 15px;
  padding: 5px;
  cursor: pointer;
}
.modal i{
  color:var(--color_blue);
}
.modal .infos{
  margin-top: 10px;
}
.modal .modalprice, .modaltime{
   margin-left: 3px;
}
.modal .reserve{
  color:var(--color_gold);
}

.contact-container{
  display: flex;
  padding: 10px 20px;
}
.contact-container .desc{
  width: 100%;
}
.contact-container .desc .desc-content{
  background: #fff;
  margin-right: 10px;
  padding: 10px;
  border:1px solid rgba(0,0,0,0.1);
}
.contact-container h1{
  color:var(--color_blue);
  font-size: 20px;
}
.contact-container h2{
  color:var(--color_blue);
  font-size: 20px;
  margin-top: 5px;
}
.contact-container .iframe-content{
  border:1px solid rgba(0,0,0,0.1);
}
.contact-container .desc-content p{
  margin-bottom: 5px;
  opacity: 0.9;
  font-size: 17px;
}
.contact-container .desc-content i{
  color:var(--color_blue);
  height: 50px;
}
.Nscontact{
  color:var(--color_font);
}
.Nscontact input, textarea{
  display: block;
  width: 100%;
  margin-bottom: 3px;
}
.Nscontact input{
  height: 30px;
  padding-left: 5px;
}
.Nscontact textarea{
  height: 120px;
  max-width: 100%;
  min-width: 100%;
  padding: 5px;
}
.Nscontact label{
  color:var(--color_font);
  font-size: 14px;
}
.Nscontact .scrfield{
  display: none;
}
.Nscontact button{
  background: var(--color_blue);
  padding: 10px 20px;
  color:#fff;
  font-weight: bold;
  border:none;
  border-radius: 2px;
  margin-top: 5px;
  cursor: pointer;
}
.errors{
  color:red;
  font-size: 13px;
}
.success{
  color:#009c41;
}
.nav-icon{
  display: none;
  margin-bottom: 10px;
  position: absolute;
  top:0;
  right:5px;
}
.nav-icon a{
  font-size: 30px;
  margin-right: -8px;
}
.nav-cover{
  position: fixed;
  top:0;
  bottom:0;
  left:0;
  right:0;
  background: var(--color_blue);
  z-index: 500;
  opacity: 0.2;
  display: none;
}
.nav-complet.show{
  display: block;
}

/*
* Responsive
*/
@media screen and (max-width: 1840px){
  .box-content{
    width: calc(100%/4);
  }
}

@media screen and (max-width: 1240px){
  .box-content{
    width: calc(100%/3);
  }
  .contact-container{
    display: block;
  }
  .contact-container .iframe h1{
      margin-top: 35px;
  }

  .contact-container iframe{
      width: 100%;
  }
  .contact-container .desc .desc-content{
      margin-right: 0;
  }
}

@media screen and (max-width: 940px){
  .box-content{
    width: calc(100%/2);
  }
}

@media screen and (max-width: 640px){
  .box-content{
    width: 100%;
  }
  .nav-icon{
    display: block;
    z-index: 8000;
    position: fixed;
  }
  .nav-complet{
    position: fixed;
    background: #fff;
    z-index: 8000;
    top:45px;
    right: 20px;
    padding: 5px;
    display: none;
  }
  .topbar .nav a{
    display: block;
    line-height: 20px;
    border-radius: 0px;
    padding: 10px 20px;
    text-align: left;
  }
  .topbar .nav a.fb{
    padding: 10px;
    height: auto;
    border-radius: 0;
    text-align: center;
  }
}

